Attribute VB_Name = "CreateLink"
Sub CreateLink()

' @CU   | Martin Spitzer
' @CD   | 2005-07-13
' ------------------------------------------------------------------------
' @CC   | Makro zum Suchen einer Textstelle und Einfgen
' @CC   | eines Hyperlinks
' ------------------------------------------------------------------------

Dim Link As String
Dim SelectedText As String

Selection.GoTo What:=wdGoToHeading, Which:=wdGoToFirst

    Selection.Find.ClearFormatting
    With Selection.Find
        .Text = "./"
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = False
        .MatchCase = False
        .MatchWholeWord = False
        .MatchWildcards = False
        .MatchSoundsLike = False
        .MatchAllWordForms = False
    End With
    
'    MsgBox SearchFile
    
    Do While Selection.Find.Execute
            
        setSelectedText
        
        Selection.MoveLeft Unit:=Word.WdUnits.wdCharacter, Count:=1, Extend:=Word.WdMovementType.wdExtend
               
        SelectedText = Trim(Mid(Selection.Text, 3, Len(Selection.Text) - 2))
           
        Link = SearchFile(SelectedText)
    
        If Not Link = "" Then
        
            ActiveDocument.Hyperlinks.Add Anchor:=Selection.Range, Address:= _
            Link, SubAddress:="", ScreenTip:=""
    
        Else
     
            Selection.Move
        
        End If
   
    Loop

End Sub

Sub setSelectedText()

' @CU   | Martin Spitzer
' @CD   | 2005-07-14
' ------------------------------------------------------------------------
' @CC   | Funktion zum Selektieren
' @CC   | der gesamten Urkundenbezeichnung
' ------------------------------------------------------------------------

'Dim Text As String
Dim UnderLine As String

Selection.MoveRight Unit:=Word.WdUnits.wdWord, Count:=1, Extend:=Word.WdMovementType.wdExtend

'Text = Trim(Selection.Text)

Selection.MoveRight Unit:=Word.WdUnits.wdCharacter, Count:=1, Extend:=Word.WdMovementType.wdExtend

UnderLine = Mid(Selection.Text, Len(Selection.Text), 1)

If UnderLine = "_" Then setSelectedText

End Sub

Function SearchFile(psName As String) As String

' @CU   | Martin Spitzer
' @CD   | 2005-07-13
' ------------------------------------------------------------------------
' @CC   | Funktion zum Suchen eines Files
' ------------------------------------------------------------------------

Dim FoundLink As String
Dim Link As String
Dim SearchName As String

'MsgBox psName

Link = ""
SearchName = psName

With Application.FileSearch
    .FileName = SearchName & ".pdf"
    .LookIn = "C:\testakt"
    .SearchSubFolders = True
    .Execute
    For i = 1 To .FoundFiles.Count
        
        FoundLink = .FoundFiles(i)
        
        laPath = Split(FoundLink, "\")
        lsFileName = laPath(UBound(laPath))
        lsExpFileName = SearchName & ".pdf"
    
        If UCase(lsFileName) = UCase(lsExpFileName) Then
            Link = FoundLink
        End If
        
        ' MsgBox link
    Next i
End With

If Link = "" Then
    SearchFile = ""
Else
    SearchFile = Mid(Link, 8, Len(Link) - 7)
End If

End Function



